#!/bin/bash
#MENU=Pre installation de GFC version MySQL
modif_mdp_mysql() {
echo "changement temporaire du mot de passe root permettant la migration de gfc"
/usr/share/eole/sbin/mysql_pwd.py masterkey
mysql -uroot -pmasterkey -e "GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' IDENTIFIED BY 'masterkey' WITH GRANT OPTION;"
mysql -uroot -pmasterkey -e "flush PRIVILEGES;"
}
dossier=/data/minedu
mkdir -p $dossier/winappli/{men_inst/param/echecs,men_ctrl}
mkdir -p $dossier/windata/{men_inst,men_svg,echanges}
mkdir -p $dossier/wintmp/{men_inst,men_svg}

echo "verification presence lien symbolique"
if [ -L /var/lib/mysql ]
then
echo "/var/lib/mysql est un lien -> parametrage mysql deja fait !"
modif_mdp_mysql
exit 1
fi
echo "arret du service mysql"
service mysql stop
echo "creation d'un lien symbolique sur le nouveau repertoire des bases de donnees et deplacement des anciennes bases"
mv /var/lib/mysql /data/minedu/windata/mysql
setfacl -Rbk /data/minedu/windata/mysql
chown root.root /data/minedu/windata/mysql
ln -s /data/minedu/windata/mysql /var/lib/mysql
echo "mise en place des droits necessaires sur /data/minedu/windata/mysql"
setfacl -m group:mysql:--x /data/minedu
setfacl -m group:mysql:--x /data/minedu/windata
setfacl -Rm u:mysql:rwx /data/minedu/windata/mysql
setfacl -Rm g:mysql:rwx /data/minedu/windata/mysql
setfacl -Rdm u:mysql:rwx /data/minedu/windata/mysql
setfacl -Rdm g:mysql:rwx /data/minedu/windata/mysql
echo "redemarrage de mysql"
service mysql start
modif_mdp_mysql


